NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShelfBuilder Class Reference

Represents a NXOpen.Features.Shelf builder More...

Inheritance diagram for NXOpen.Features.ShelfBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DepthMethods { Offset, ToNextWall }
 Depth Method for Depth Face More...
 
enum  LengthMethods { Full, ShelfFromEnd, StepFromEnd, ToSelected }
 Depth Method for Length More...
 
enum  ReferenceType { Face, DatumPlane, Curve, Point }
 Type of Reference Object More...
 
enum  StepMethod { Normal, AlignwithReferenceFace, Ramp }
 Step Method for Side Face More...
 
enum  Types { End, Middle }
 Type of shelf. More...
 

Properties

unsafe NXOpen.Expression DepthDimension [get]
 Returns the depth dimension More...
 
unsafe
NXOpen.Features.ShelfBuilder.DepthMethods 
DepthMethod [get, set]
 Returns or sets the depth method More...
 
unsafe NXOpen.Expression Length1 [get]
 Returns the length1 More...
 
unsafe NXOpen.Expression Length2 [get]
 Returns the length2 More...
 
unsafe NXOpen.Expression LengthDimension [get]
 Returns the length dimension More...
 
unsafe
NXOpen.Features.ShelfBuilder.LengthMethods 
LengthMethod [get, set]
 Returns or sets the length method More...
 
unsafe NXOpen.Section LimitCurve1 [get]
 Returns the limit curve1 More...
 
unsafe NXOpen.Section LimitCurve2 [get]
 Returns the limit curve2 More...
 
unsafe NXOpen.ScCollector LimitFace1 [get]
 Returns the limit face1 More...
 
unsafe NXOpen.ScCollector LimitFace2 [get]
 Returns the limit face2 More...
 
unsafe NXOpen.Plane LimitPlane1 [get, set]
 Returns or sets the limit plane1 More...
 
unsafe NXOpen.Plane LimitPlane2 [get, set]
 Returns or sets the limit plane2 More...
 
unsafe NXOpen.Point LimitPoint1 [get, set]
 Returns or sets the limit point1 More...
 
unsafe NXOpen.Point LimitPoint2 [get, set]
 Returns or sets the limit point2 More...
 
unsafe NXOpen.Expression OffsetDimension [get]
 Returns the offset dimension More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDir1 [get]
 Returns the project direction 1 More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDir2 [get]
 Returns the project direction 2 More...
 
unsafe NXOpen.Expression RampLength1 [get]
 Returns the ramp length1 More...
 
unsafe NXOpen.Expression RampLength2 [get]
 Returns the ramp length2 More...
 
unsafe
NXOpen.Features.ShelfBuilder.ReferenceType 
RefType1 [get, set]
 Returns or sets the ref type1 More...
 
unsafe
NXOpen.Features.ShelfBuilder.ReferenceType 
RefType2 [get, set]
 Returns or sets the ref type2 More...
 
unsafe bool ReverseDepthDirection [get, set]
 Returns or sets whether reverse depth direction More...
 
unsafe bool ReverseWidthDirection [get, set]
 Returns or sets whether reverse width direction More...
 
unsafe NXOpen.ScCollector Selectface [get]
 Returns the selected face More...
 
unsafe NXOpen.ScCollector ShelfEdge [get]
 Returns the shelf edge More...
 
unsafe bool ShelfEnd [get, set]
 Returns or sets the shelf end More...
 
unsafe
NXOpen.Features.ShelfBuilder.Types 
ShelfType [get, set]
 Returns or sets the type More...
 
unsafe
NXOpen.Features.ShelfBuilder.StepMethod 
StepMethod1 [get, set]
 Returns or sets the step method1 More...
 
unsafe
NXOpen.Features.ShelfBuilder.StepMethod 
StepMethod2 [get, set]
 Returns or sets the step method2 More...
 
unsafe bool Swap [get, set]
 Returns or sets the swap More...
 
unsafe
NXOpen.Features.ShelfBuilder.Types 
Type [get, set]
 Returns or sets the flat type More...
 
unsafe NXOpen.Expression WidthDimension [get]
 Returns the width dimension More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Shelf builder

To create a new instance of this class, use NXOpen.Features.AeroCollection.CreateShelfBuilder

Default values.

Property Value

DepthDimension.Value

5 (millimeters part), 0.25 (inches part)

DepthMethod

Offset

Length1.Value

10 (millimeters part), 0.5 (inches part)

Length2.Value

0 (millimeters part), 0 (inches part)

LengthDimension.Value

25 (millimeters part), 1.0 (inches part)

LengthMethod

Full

OffsetDimension.Value

0 (millimeters part), 0 (inches part)

RampLength1.Value

10 (millimeters part), 0.5 (inches part)

RampLength2.Value

10 (millimeters part), 0.5 (inches part)

RefType1

Face

RefType2

Face

ShelfType (deprecated)

End

StepMethod1

Normal

StepMethod2

Normal

Type

End

WidthDimension.Value

5 (millimeters part), 0.25 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

Depth Method for Depth Face

Enumerator
Offset 
ToNextWall 

Depth Method for Length

Enumerator
Full 
ShelfFromEnd 
StepFromEnd 
ToSelected 

Type of Reference Object

Enumerator
Face 
DatumPlane 
Curve 
Point 

Step Method for Side Face

Enumerator
Normal 
AlignwithReferenceFace 
Ramp 

Type of shelf.

It has end and middle type

Enumerator
End 
Middle 

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.DepthDimension
get

Returns the depth dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.ShelfBuilder.DepthMethods NXOpen.Features.ShelfBuilder.DepthMethod
getset

Returns or sets the depth method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.Length1
get

Returns the length1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.Length2
get

Returns the length2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.LengthDimension
get

Returns the length dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.ShelfBuilder.LengthMethods NXOpen.Features.ShelfBuilder.LengthMethod
getset

Returns or sets the length method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Section NXOpen.Features.ShelfBuilder.LimitCurve1
get

Returns the limit curve1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.ShelfBuilder.LimitCurve2
get

Returns the limit curve2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShelfBuilder.LimitFace1
get

Returns the limit face1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShelfBuilder.LimitFace2
get

Returns the limit face2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShelfBuilder.LimitPlane1
getset

Returns or sets the limit plane1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Plane NXOpen.Features.ShelfBuilder.LimitPlane2
getset

Returns or sets the limit plane2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Point NXOpen.Features.ShelfBuilder.LimitPoint1
getset

Returns or sets the limit point1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Point NXOpen.Features.ShelfBuilder.LimitPoint2
getset

Returns or sets the limit point2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.OffsetDimension
get

Returns the offset dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.ShelfBuilder.ProjectionDir1
get

Returns the project direction 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.ShelfBuilder.ProjectionDir2
get

Returns the project direction 2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.RampLength1
get

Returns the ramp length1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.RampLength2
get

Returns the ramp length2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.ShelfBuilder.ReferenceType NXOpen.Features.ShelfBuilder.RefType1
getset

Returns or sets the ref type1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.ShelfBuilder.ReferenceType NXOpen.Features.ShelfBuilder.RefType2
getset

Returns or sets the ref type2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.ShelfBuilder.ReverseDepthDirection
getset

Returns or sets whether reverse depth direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.ShelfBuilder.ReverseWidthDirection
getset

Returns or sets whether reverse width direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.ScCollector NXOpen.Features.ShelfBuilder.Selectface
get

Returns the selected face

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShelfBuilder.ShelfEdge
get

Returns the shelf edge

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Features.ShelfBuilder.ShelfEnd
getset

Returns or sets the shelf end

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.ShelfBuilder.Types NXOpen.Features.ShelfBuilder.ShelfType
getset

Returns or sets the type

Created in NX10.0.0

Deprecated in NX12.0.1. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.ShelfBuilder.StepMethod NXOpen.Features.ShelfBuilder.StepMethod1
getset

Returns or sets the step method1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.ShelfBuilder.StepMethod NXOpen.Features.ShelfBuilder.StepMethod2
getset

Returns or sets the step method2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.ShelfBuilder.Swap
getset

Returns or sets the swap

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.ShelfBuilder.Types NXOpen.Features.ShelfBuilder.Type
getset

Returns or sets the flat type

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.ShelfBuilder.WidthDimension
get

Returns the width dimension

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.